Java - Problema con GTK

   
Vista:

Problema con GTK

Publicado por Carlos (4 intervenciones) el 22/02/2009 13:58:36
Hola, mi problema es el siguiente:

Cuando el sistema pinta un combobox en java, me saltan con estos problemas, aunque realmente funciona, pero a la hora de compilar el programa en un fichero no habre debido a que estan esos problemas.

Utilizo OpenSUSE 11.1 con GNome, aunque el problema creo que viene de GNome porque anteriormente utilizaba Ubuntu 8.10 y tenia los mismos problemas.

Utilizo Netbeans.

Gracias de antemano.
Valora esta pregunta
Me gusta: Está pregunta es útil y esta claraNo me gusta: Está pregunta no esta clara o no es útil
0
Responder

RE:Problema con GTK

Publicado por mario (622 intervenciones) el 22/02/2009 20:44:32
pero cual es la traza de la exception?
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

RE:Problema con GTK

Publicado por Carlos (4 intervenciones) el 23/02/2009 01:09:25
Actualizo la pregunta.

Intente hacer el programa sin combobox y desde netbeans todo perfecto, ni un error, pero cuando compilo el .jar pruebo en mi maquina para ver si funciona y me dice lo siguiente:

carlos@linux-ucya:~> java -jar NetBeansProjects/ServicioTecnico/dist/ServicioTecnico.jar
/usr/share/themes/Gilouche/gtk-2.0/gtkrc:30: error: lexical error or unexpected token, expected valid token
Exception in thread "AWT-EventQueue-0" java.lang.NoClassDefFoundError: javax/swing/GroupLayout$Group
at serviciotecnico.ServicioTecnicoApp.startup(ServicioTecnicoApp.java:19)
at org.jdesktop.application.Application$1.run(Application.java:171)
at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:461)
at java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.java:242)
at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:163)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:157)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:149)
at java.awt.EventDispatchThread.run(EventDispatchThread.java:110)

Mi sistema operativo es un OpenSUSE 11.1
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

RE:Problema con GTK

Publicado por puta.hostia (69 intervenciones) el 23/02/2009 14:50:20
Hola Carlos.

No te encuentra la clase GroupLayout de la libreria de swing. Probablemente la version con la que has compilado es superior a la version con la que estás ejecutando. De echo yo no tengo GroupLayout (???!!!). Asi que tu verás - o compilas con la misma libreria o metes un classpath apuntando a la de tu IDE:

Saludos.
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar